"use strict";

const color1Element = document.querySelector('#color1');
const color2Element = document.querySelector('#color2');
const lengthElement = document.querySelector('#length');

color1Element.addEventListener('input', colorAction);
color2Element.addEventListener('input', colorAction);
lengthElement.addEventListener('input', lengthAction);

function colorAction(event) {
  const color1 = color1Element.value;
  const color2 = color2Element.value;

  const box = document.querySelector('#box');
  box.style.background = `linear-gradient(to right, ${color1}, ${color2})`;
}

function lengthAction(event) {
  const length = lengthElement.value;
  const box = document.querySelector('#box');
  box.style.width = length+'%';
}
